:root {
    --top-padding: 2rem;
    --content-text-color: rgb(229, 224, 219);
    --orange-color: rgb(231, 109, 36);

    --bg-light: #4b4b4b;
    --bg-dark: #222;

    --layout-bg: var(--bg-dark);
    --content-bg: var(--bg-light);
}

.hero-background {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    height: 100%;

    background-color: var(--layout-bg);
    background-size: cover;
    background-position: center;
}

.hero-background, .hero-background+.container {
    color: var(--content-text-color);
}

.container {
    position: relative; /* hero background z-index? */
    max-width: 1100px;
}

.header {
    text-align: center;
    padding-top: 2rem;
}

.logo {
    width: 50%;
}

.offer-list {
    display: flex;
    flex-wrap: wrap;
    /*grid-template-columns: repeat(auto-fill, minmax(30ch, 1fr));*/
    gap: 2rem;

    width: fit-content;
    max-width: calc(60ch + 2rem);
    margin: 0 auto;
}

.offer-list > .offer-item {
    width: 30ch;
    align-self: flex-start;
}

.offer-item {
    display: grid;
    grid-template-columns: auto 1fr;
    gap: 0.5rem 2rem;
}

.offer-item .accessory-photo {
    grid-row: 1 / span 2;
}

.accessory-photo {
    width: 10rem;
    height: 10rem;
    object-fit: contain;
    background-color: rgba(20, 20, 20, 0.157);
}

.offer-item .title {
    place-self: end start;

}

.offer-item .description {
    place-self: start;
    text-wrap: nowrap;
}

.sub-header {
    color: var(--orange-color);
}

.content {
    margin-top: 2rem;
    border: 1rem;
    background-color: var(--content-bg);
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    padding: 1rem;
    border-radius: 3px;
    color: var(--content-text-color);
}

.content > :is(h2, h3):not(:first-child) {
    margin-top: 2rem;
}

.content > .floating-header {
    width: fit-content;
    margin-block-start: -2.3rem;
    text-shadow:
        2px 2px 10px rgba(67, 67, 67),
        2px 2px 8px rgba(67, 67, 67),
        2px 2px 6px rgba(67, 67, 67)
    ;
}

.tech-params {
    width: 100%;
}
.tech-params tr:nth-child(odd) {
    background-color: #8882;
}

.tech-params :is(td, th) {
    border: 1px solid var(--bg-dark);
}
.tech-params thead th {
    text-align: center;
}
.tech-params tbody :is(td, th) {
    padding: 0.25rem 1rem;
}
.tech-params tbody :is(td, th):first-child {
    width: 1%;
    white-space: nowrap;
}

.content.hero {
    width: fit-content;
    margin: 0 auto;
}

.spacer {
    height: 30px;
}

.price {
    color: #d2ca2d;
}

p {
    text-align: justify;
}

.contact-box {
    background-color: var(--content-bg);
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    border-radius: 2px;
    margin: 0 auto;
    padding: 1rem;
    width: fit-content;
}

.contact-box a {
    text-decoration: none;
    color: var(--content-text-color);
}

.contact-box .logo {
    margin: 0 5rem 1rem;
    width: 25vw;
}

.contact-box > .entries {
    display: flex;
    flex-direction: column;
    row-gap: 1rem;
    justify-content: center;
    align-items: center;
}
.contact-box > .entries > [role="separator"] {
    height: 4ch;
    width: 0.2rem;
    background-color: var(--orange-color);
    margin: 0 1rem;
}

@media (max-width: 767px) {
    .contact-box > .entries > [role="separator"] {
        order: -1;
        width: 90%;
        height: 0.1rem;
    }
}
@media (min-width: 768px) {
    .contact-box > .entries {
        flex-direction: row;
        flex-wrap: wrap;
    }
}

.contact-box > .entries .icon {
    width: 30px;
}

.sections {
    display: flex;
    flex-direction: column;
    place-content: center;
    gap: 1rem;
}

dl.def-grid {
    display: grid;
    grid-template-columns: auto 1fr;
    gap: .5em 1em
}

dl.def-grid,dl.def-grid>dd,dl.def-grid>dt {
    margin: 0;
    padding: 0
}

dl.def-grid>dd,dl.def-grid>dt {
    line-height: 1.15
}

dl.def-grid dt {
    font-weight: 700
}

dl.def-grid.dd-intact dd {
    white-space: nowrap
}

.embedded-map {
    width: 100%;
    height: 25rem;
    left: 0;
    top: 0;
}

.footer {
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
    margin-top: 2rem;
    color: var(--content-text-color);
    background-color: var(--content-bg);
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
}

.footer .container {
    display: grid;
    place-items: start;
}

.ribbon {
    background: var(--orange-color);
    color: white;
    font-weight: bold;

    display: grid;
    place-content: center;

    pointer-events: none;
    user-select: none;
}
.ribbon.-fixed {
    position: fixed;
    top: 3ch;
    right: -8ch;
    width: 35ch;
    transform-origin: 50% 50%;
    transform: rotate(24deg);
    box-shadow: 10px 0px 20px var(--bg-dark), inset 2px 0px 10px var(--bg-light);

    opacity: 0.5;
}